* Ŀ *
*   PROG NAME: OBJECTS.PRG - Define all of the system objects           *
*   Copyright (c) 1989,1990 Tech III, Inc. All rights reserved.         *
*   Tech III of San Pedro, California      (213) 547-2191.              *
*   "The bridge connecting people and technology."(tm)                  *
*  *

*define working windows
DEFINE WINDOW screensim  FROM 01,00 TO 24,79 DOUBLE  COLOR SCHEME 1
DEFINE WINDOW working    FROM 02,03 TO 23,76 FLOAT   COLOR SCHEME 1
DEFINE WINDOW reportview FROM 01,00 TO 24,79 CLOSE system COLOR SCHEME 8 ;
TITLE 'Report View     [PgUp]   [PgDn]   [Up]   [Dn]   [Esc]'

* Define standard system communication windows

* Typical system messages:
DEFINE WINDOW msg2user   FROM 03,02 TO 07,77 DOUBLE FLOAT SHADOW COLOR SCHEME 7

* Now printing message:
DEFINE WINDOW pticker    FROM 22,00 TO 24,79 DOUBLE FLOAT SHADOW COLOR SCHEME 11

* define the master menu
DEFINE MENU mainmenu COLOR SCHEME 2
DEFINE PAD invoice   OF mainmenu PROMPT ' INVOICES '    AT 00,00
DEFINE PAD cust      OF mainmenu PROMPT ' CUSTOMERS '   AT 00,11
DEFINE PAD inventory OF mainmenu PROMPT ' INVENTORY '   AT 00,23
DEFINE PAD payments  OF mainmenu PROMPT ' PAYMENTS '    AT 00,35
DEFINE PAD salesreps OF mainmenu PROMPT ' SALES REPS '  AT 00,46
DEFINE PAD system    OF mainmenu PROMPT ' SYSTEM '      AT 00,60
ON PAD invoice   OF mainmenu ACTIVATE POPUP invpop
ON PAD cust      OF mainmenu ACTIVATE POPUP custpop
ON PAD inventory OF mainmenu ACTIVATE POPUP itempop
ON PAD payments  OF mainmenu ACTIVATE POPUP pmtpop
ON PAD salesreps OF mainmenu ACTIVATE POPUP salespop
ON PAD system    OF mainmenu ACTIVATE POPUP syspop

DEFINE POPUP invpop FROM 2,01 COLOR SCHEME 2
DEFINE BAR  1 OF invpop PROMPT 'The \<Invoice stack'
DEFINE BAR  2 OF invpop PROMPT '\<Print one or a bunch of invoices'
DEFINE BAR  3 OF invpop PROMPT '\<Show me what my sales are'
ON SELECTION POPUP invpop DO invcmenu

DEFINE POPUP custpop FROM 02,05 COLOR SCHEME 2
DEFINE BAR  1 OF custpop PROMPT '\<Look at the customer info'
DEFINE BAR  2 OF custpop PROMPT 'List my \<Customers'
DEFINE BAR  3 OF custpop PROMPT '\<Make & print customer labels'
DEFINE BAR  4 OF custpop PROMPT '\<Print the customer ledger'
ON SELECTION POPUP custpop DO custmenu

DEFINE POPUP itempop FROM 02,15 COLOR SCHEME 2
DEFINE BAR  1 OF itempop PROMPT '\<Go to the Inventory shelf'
DEFINE BAR  2 OF itempop PROMPT '\<What do I have in inventory?'
DEFINE BAR  3 OF itempop PROMPT 'What items do I sell \<Most?'
ON SELECTION POPUP itempop DO itemmenu

DEFINE POPUP pmtpop FROM 02,25  COLOR SCHEME 2
DEFINE BAR  1 OF pmtpop PROMPT '\<Log or review customer payments'
DEFINE BAR  2 OF pmtpop PROMPT '\<Print a cash receipts journal'
ON SELECTION POPUP pmtpop DO pmtsmenu

DEFINE POPUP salespop FROM 02,37 COLOR SCHEME 2
DEFINE BAR  1 OF salespop PROMPT 'Go to the sales rep \<Log'
DEFINE BAR  2 OF salespop PROMPT '\<Print a list of my salespeople'
ON SELECTION POPUP salespop DO salemenu

DEFINE POPUP syspop FROM 02,39 COLOR SCHEME 2
DEFINE BAR  1 OF syspop PROMPT '\<Quit to Operating System'
DEFINE BAR  2 OF syspop PROMPT 'Quit to \<Command Window'
DEFINE BAR  3 OF syspop PROMPT '\<Index all files'
DEFINE BAR  4 OF syspop PROMPT '\<Review & Reprint Reports'
DEFINE BAR  5 OF syspop PROMPT '\<Suspend to the Command Window'
DEFINE BAR  6 OF syspop PROMPT '\<Edit a program'
DEFINE BAR  7 OF syspop PROMPT '\<Modify a report form'
DEFINE BAR  8 OF syspop PROMPT '\<PRO-DEMO Credits!'
DEFINE BAR  9 OF syspop PROMPT 'Con\<figuration information'
DEFINE BAR 10 OF syspop PROMPT 'Technical \<Documentation'
DEFINE BAR 11 OF syspop PROMPT 'Problems & Suggestions \<Box'
DEFINE BAR 12 OF syspop PROMPT '\<Tech Support'
DEFINE BAR 13 OF syspop PROMPT '\<Operating system access'
DEFINE BAR 14 OF syspop PROMPT '\<Update news'
ON SELECTION POPUP syspop DO systmenu

* EOF
