* Ŀ *
*   PROG NAME: PRODEMO.PRG Main Entry.                                  *
*   Copyright (c) 1989 Tech III, Inc. All rights reserved.              *
*   Tech III of San Pedro, California      (213) 547-2191.              *
*   "The bridge connecting people and technology."(tm)                  *
*  *
* STARTUP

CREATE VIEW priorvue
SET TALK OFF
SET CURSOR OFF
DEACTIVATE WINDOWS ALL
CLEAR ALL
RELEASE ALL
CLEAR program
DO signon
SAVE SCREEN TO mainscrn
@ 03,02 TO 07,78 CLEAR COLOR SCHEME 7
@ 03,02 TO 07,78 FILL COLOR SCHEME 7
@ 03,02 TO 07,78 DOUBLE COLOR SCHEME 7
@ 04,04 SAY 'Setting up environment...' COLOR SCHEME 7

* THE WORKER VARIABLE CONTROLS HOW VARIOUS SETTINGS ARE HANDLED THAT ARE
* HELPFUL DURING PROGRAM DEVELOPMENT. EXAMPLES: ESCAPE, DEVELOPMENT, ETC.
* SEE SETENV.PRG FOR MORE DETAILS.

PUBLIC worker
IF LTRIM(GETENV('WORKER')) = 'ON'
  STORE .t. TO worker
ELSE
  STORE .f. TO worker
ENDIF
DO setenv
RESTORE SCREEN FROM mainscrn
SET PROCEDURE TO proc_lib

@ 03,02 TO 07,78 CLEAR COLOR SCHEME 7
@ 03,02 TO 07,78 FILL COLOR SCHEME 7
@ 03,02 TO 07,78 DOUBLE COLOR SCHEME 7
@ 04,04 SAY 'Defining system objects...      '  COLOR SCHEME 7
DO objects
RESTORE SCREEN FROM mainscrn

DO msg2user WITH 'Assigning variables...'
PUBLIC seg
seg = 1
STORE 'PRINTING.. PRINTING.. PRINTING.. PRINTING.. PRINTING.. PRINTING.. ' ;
+ 'PRINTING.. PRINTING.. PRINTING.. PRINTING.. PRINTING.. PRINTING.. '  ;
TO ticker_str

DO configck

DO msg2user WITH  'Opening files.... '
ON ERROR DO indexer
CLOSE DATA
USE states   IN 1 INDEX states                    ALIAS states
USE
USE invoice  IN 1 INDEX inv_inv, inv_cus, inv_dat ALIAS invoice
USE items    IN 2 INDEX itm_itm                   ALIAS items
USE lineitms IN 3 INDEX lns_inv, lns_itm          ALIAS lines
USE customer IN 4 INDEX cus_cus, cus_com          ALIAS customer
USE payments IN 5 INDEX pmt_cus,pmt_dat           ALIAS payments
USE salesrep IN 6 INDEX sal_nam, sal_sal          ALIAS salesrep

* ALLOWS PROGRAM TO SET ORDER BY REFERRING TO INDEX NAME
* Example: SET ORDER TO INV_INV becomes equivalent to SET ORDER TO 1
STORE 1 TO inv_inv, itm_itm, lns_inv, cus_cus, pmt_cus, sal_nam
STORE 2 TO inv_cus,          lns_itm, cus_com, pmt_dat, sal_sal
STORE 3 TO inv_dat
DO msg2user WITH 'CLOSE'

* ERROR TRAPPING SYSTEM
ON ERROR DO syserror WITH PROGRAM(), LINENO()

* SET UP HELP SYSTEM
SET HELP TO helpinfo
ON KEY LABEL F1 HELP
SET TOPIC TO 'MASTER MENU'        && Help topic for this section
* RESTORE ADDITIVE FROM SCREEN
* RESTORE SCREEN   FROM mainscrn
SET CURSOR ON

STORE .t. TO in_prodemo
DO WHILE in_prodemo
  ACTIVATE MENU mainmenu
  IF .NOT. in_prodemo
    STORE .NOT. YESNO('Are you sure want to quit Pro-Demo?') TO in_prodemo
  ENDIF
ENDDO
SET CURSOR OFF
DO msg2user WITH ;
' Thank-you for using PRO-DEMO from Tech III of San Pedro, CA and FOXPRO ', ;
' from Fox Software of Perrysburg, OH.  If you have any questions or  ',  ;
' ideas concerning PRO-DEMO, please call Tech III @ (213) 547-2191.'
= INSMODE(.t.)
= INKEY(2)
ON ERROR
ON KEY
CLOSE ALL
CLEAR ALL
DEACTIVATE WINDOWS ALL
RELEASE ALL
RELEASE MENUS ALL
RELEASE POPUPS ALL
CLEAR
SET HELP TO
SET TOPIC TO
SET VIEW TO priorvue
SET CURSOR ON
RETURN
* EOF
