* Ŀ *
*   PROG NAME: SYSINFO.PRG  Information on CONFIG.SYS file.             *
*   Copyright (c) 1989 Tech III, Inc. All rights reserved.              *
*   Tech III of San Pedro, California      (213) 547-2191.              *
*   "The bridge connecting people and technology."(tm)                  *
*  *
* do MSG2USER with 'Checking FILES & BUFFER settings in your CONFIG.SYS file...'
do while .not. file(MDRIVE + '\CONFIG.SYS')
  store ' ' to MDRIVE
  activate window MSG2USER
  @ 00,01 say "Can't find your system CONFIG.SYS file."
  @ 00,02 say "Enter drive letter or [ESCAPE]  return to main menu."
  @ 00,03 say "Location of CONFIG.SYS is drive: " get MDRIVE picture '!'
  read
  if MDRIVE = space(1)
    do MSG2USER with 'CLOSE'
    return
  endif
  store MDRIVE + ':' to MDRIVE
enddo
do MSG2USER with 'CLOSE'
CONFIG = fopen(MDRIVE + '\CONFIG.SYS')
store 0 to FILESET, BUFFERSET
store .T. to WORKING
do while WORKING .and. ferror() = 0
  INPUTLINE = fgets(CONFIG)
  do case
    case 'FILES' $ upper(INPUTLINE)
      store val(ltrim(substr(INPUTLINE,at('=',INPUTLINE)+1))) to FILESET
    case 'BUFFERS' $ upper(INPUTLINE)
      store val(ltrim(substr(INPUTLINE,at('=',INPUTLINE)+1))) to BUFFERSET
  endcase
  if FILESET # 0 .and. BUFFERSET # 0
    store .F. to WORKING
  endif
enddo
= fclose(CONFIG)
do MSG2USER with 'CLOSE'
activate window WORKING
@ 00,15 say 'SYSTEM CONFIGURATION INFORMATION'
@ 02,01 say 'CONFIG.SYS FILES    = ' + ltrim(str(FILESET,4))
@ 03,01 say 'CONFIG.SYS BUFFERS  = ' + ltrim(str(BUFFERSET,4))
@ 04,01 say 'GRAPHICS HARDWARE   = ' + sys(2006)
@ 05,01 say 'FOXPRO VERSION      = ' + left(version(1),at('SERIAL',UPPER(VERSION(1)))-1)
@ 06,01 SAY 'SERIAL NUMBER       = ' + SUBSTR(VERSION(1),at('SERIAL',UPPER(VERSION(1))))
@ 07,01 say 'DIRECTORY IN USE    = ' + curdir()
@ 08,01 say 'FOXABLE BASE MEMORY = ' + ltrim(sys(12))
@ 09,01 say 'FOXABLE MEM W/EMS   = ' + ltrim(sys(1001))
@ 10,01 say 'DISK SPACE AVAIL.   = ' + ltrim(transform(diskspace(),'999,999,999'))
@ 11,01 say 'SCREEN DIMENSIONS   = ' + str(srows(),2) + ' BY ' + ltrim(str(scols(),3))
@ 12,01 say '* "Foxable" means available to FoxPro.'
do STANDBY with 'Press any key to return to menu.'
deactivate window WORKING
* EOF

