* Ŀ *
*   PROG NAME: SYSTMENU.PRG System submenu called by main menu          *
*   Copyright (c) 1989,1990 Tech III, Inc. All rights reserved.         *
*   Tech III of San Pedro, California      (213) 547-2191.              *
*   "The bridge connecting people and technology."(tm)                  *
*  *

SET TOPIC TO 'SYSTEM'
STORE BAR() TO choice
HIDE POPUP syspop
DO CASE
  CASE choice = 1
    DO msg2user WITH ;
    ' Thank-you for using PRO-DEMO from Tech III of San Pedro, CA and FOXPRO ', ;
    ' from Fox Software of Perrysburg, OH.  If you have any questions or ',  ;
    ' ideas concerning PRO-DEMO, please call Tech III @ (213) 547-2191.'
    DO standby WITH 'You are about to return to the operating system.'
    CLOSE DATA
    QUIT
  CASE choice = 2
    STORE .f. TO in_prodemo
    DEACTIVATE MENU
  CASE choice = 3
    DO indexer
  CASE choice = 4
    DO reviewer
  CASE choice = 5
    = INSMODE(.t.)
    ON ERROR
    SUSPEND
    = INSMODE(.f.)
    ON ERROR DO SYSERROR WITH PROGRAM(), LINENO()
  CASE choice = 6
    SAVE SCREEN TO curr_scrn
    STORE GETFILE("PRG","File to Edit:") TO edfile
    IF .NOT. EMPTY(edfile)
      = INSMODE(.t.)
      MODIFY COMMAND (edfile)
    ENDIF
    = INSMODE(.f.)
    RESTORE SCREEN FROM curr_scrn
  CASE choice = 7
    ACTIVATE WINDOW msg2user
    STORE SPACE(10) TO wkarea
    @ 01,00 SAY 'Select Main Report-Database File: ' GET wkarea ;
    PICTURE '@M INVOICE   ,LINES     ,ITEMS     ,CUSTOMER  ,PAYMENTS  ,SALESREP  '
    READ
    IF .NOT. EMPTY(wkarea)
      SELECT &wkarea.
      DEACTIVATE WINDOW msg2user
      = INSMODE(.t.)
      DEFINE WINDOW rephelp FROM 00,00 TO 00,68 NONE COLOR SCHEME 7
      ACTIVATE WINDOW rephelp
      @ 00,00 SAY 'Press [Alt] O for Report Menu.'
      MODIFY REPORT ?
      = INSMODE(.f.)
      RELEASE WINDOW rephelp
    ENDIF
  CASE choice = 8
    DO credits
  CASE choice = 9
    DO sysinfo
  CASE choice = 10
    DO techdoc
  CASE choice = 11
    DO reporter
  CASE choice = 12
    DO techport
  CASE choice = 13
    ACTIVATE SCREEN
    SAVE SCREEN TO curr_scrn
    SET CURSOR OFF
    @ 21,43 TO 23,74 CLEAR  COLOR GR+/R
    @ 21,43 TO 23,74 DOUBLE COLOR gr+/r
    @ 22,44 SAY ' Loading command processor... ' COLOR GR+/R
    RUN /0 osaccess
    SET CURSOR ON
    RESTORE SCREEN FROM curr_scrn
  CASE choice = 14
    SELECT 0
    USE system
    LOCATE FOR LABEL = 'NEWS'
    MODIFY MEMO contents NOEDIT WINDOW reportview
    USE
    SELECT INVOICE
ENDCASE
SET TOPIC TO 'MASTER MENU'
SHOW POPUP syspop
HIDE WINDOW ALL
RETURN

* EOF
