* Ŀ *
*   PROG NAME: INDEXER.PRG Indexing routine.                            *
*   Copyright (c) 1989 Tech III, Inc. All rights reserved.              *
*   Tech III of San Pedro, California      (213) 547-2191.              *
*   "The bridge connecting people and technology."(tm)                  *
*  *

ACTIVATE WINDOW working
CLOSE DATA
SET TALK ON

? 'INVOICE FILE...'
USE invoice
PACK
INDEX ON invoice TO inv_inv
INDEX ON cust_id TO inv_cus
INDEX ON inv_date TO inv_dat

?
? 'INVENTORY FILE...'
USE items
PACK
INDEX ON item TO itm_itm

?
? 'INVOICE LINE ITEMS FILE...'
USE lineitms
PACK
INDEX ON invoice TO lns_inv
INDEX ON item TO lns_itm

?
? 'CUSTOMER FILE...'
USE customer
PACK
INDEX ON cust_id TO cus_cus
INDEX ON company TO cus_com

?
? 'PAYMENTS FILE...'
USE payments
PACK
INDEX ON cust_id TO pmt_cus
INDEX ON DATE TO pmt_dat

?
? 'SALES REPS FILE...'
USE salesrep
PACK
INDEX ON salename TO sal_nam
INDEX ON soldby   TO sal_sal

?
? 'STATES FILE...'
USE states
PACK
INDEX ON state TO states

CLOSE DATA
USE invoice  IN 1 INDEX inv_inv, inv_cus, inv_dat ALIAS invoice
USE items    IN 2 INDEX itm_itm                   ALIAS items
USE lineitms IN 3 INDEX lns_inv, lns_itm          ALIAS lines
USE customer IN 4 INDEX cus_cus, cus_com          ALIAS customer
USE payments IN 5 INDEX pmt_cus, pmt_dat          ALIAS payments
USE salesrep IN 6 INDEX sal_nam, sal_sal          ALIAS salesrep

SELECT invoice
SET TALK OFF
DEACTIVATE WINDOW working
RETURN
* eof
